package com.ruoyi.index.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.index.mapper.IndexVMapper;
import com.ruoyi.index.domain.IndexV;
import com.ruoyi.index.service.IIndexVService;
import com.ruoyi.common.core.text.Convert;

/**
 * 展示指标Service业务层处理
 * 
 * @author ruoyi
 * @date 2021-12-28
 */
@Service
public class IndexVServiceImpl implements IIndexVService 
{
    @Autowired
    private IndexVMapper indexVMapper;

    /**
     * 查询展示指标
     * 
     * @param id 展示指标主键
     * @return 展示指标
     */
    @Override
    public IndexV selectIndexVById(Long id)
    {
        return indexVMapper.selectIndexVById(id);
    }

    /**
     * 查询展示指标列表
     * 
     * @param indexV 展示指标
     * @return 展示指标
     */
    @Override
    public List<IndexV> selectIndexVList(IndexV indexV)
    {
        return indexVMapper.selectIndexVList(indexV);
    }

    /**
     * 新增展示指标
     * 
     * @param indexV 展示指标
     * @return 结果
     */
    @Override
    public int insertIndexV(IndexV indexV)
    {
        indexV.setCreateTime(DateUtils.getNowDate());
        return indexVMapper.insertIndexV(indexV);
    }

    /**
     * 修改展示指标
     * 
     * @param indexV 展示指标
     * @return 结果
     */
    @Override
    public int updateIndexV(IndexV indexV)
    {
        indexV.setUpdateTime(DateUtils.getNowDate());
        return indexVMapper.updateIndexV(indexV);
    }

    /**
     * 批量删除展示指标
     * 
     * @param ids 需要删除的展示指标主键
     * @return 结果
     */
    @Override
    public int deleteIndexVByIds(String ids)
    {
        return indexVMapper.deleteIndexVByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除展示指标信息
     * 
     * @param id 展示指标主键
     * @return 结果
     */
    @Override
    public int deleteIndexVById(Long id)
    {
        return indexVMapper.deleteIndexVById(id);
    }
}
